Package net.snowflake.client.core.arrow.tostringhelpers

## Class ArrowArrayStringRepresentationBuilder

- java.lang.Object
- - net.snowflake.client.core.arrow.tostringhelpers.ArrowStringRepresentationBuilderBase
  - - net.snowflake.client.core.arrow.tostringhelpers.ArrowArrayStringRepresentationBuilder

    @SnowflakeJdbcInternalApi
    public class ArrowArrayStringRepresentationBuilder
    extends ArrowStringRepresentationBuilderBase

### Constructor Summary

Constructors
`ArrowArrayStringRepresentationBuilder​(SnowflakeType valueType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrowStringRepresentationBuilderBase` `appendValue​(String value)`

### Methods inherited from class net.snowflake.client.core.arrow.tostringhelpers.ArrowStringRepresentationBuilderBase

`add, quoteIfNeeded, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArrowArrayStringRepresentationBuilder

    public ArrowArrayStringRepresentationBuilder​(SnowflakeType valueType)

### Method Detail

#### appendValue

    public ArrowStringRepresentationBuilderBase appendValue​(String value)